Bug 330091 - Cannot prelink /usr/lib/libsoftokn3.so
Cannot prelink /usr/lib/libsoftokn3.so
Product: Fedora
Classification: Fedora
Component: nss_compat_ossl (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-12 17:04 EDT by Daniel Qarras
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: nss_compat_ossl-0_9_2-3_fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-18 13:08:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2007-10-12 17:04:17 EDT
When prelinking I get few errors related to nss:

Prelinking /usr/libexec/hal-storage-closetray
prelink: Could not prelink /usr/lib/libnss_compat_ossl.so.0 because its
dependency /usr/lib/libsoftokn3.so could not be prelinked

Applies also to nss_compat.
Comment 1 Kai Engert (:kaie) 2007-10-12 17:29:18 EDT
This is not an error, but by design.

In order to allow NSS' FIPS mode to work, we must ensure that the .so files
which implement the cryptographic operations will not get changed by prelink.
Therefore we have blacklisted them.

So, all libraries that "statically" link with libfreebl3.so or libsoftokn3.so
can not get prelinked either.

The good news is, it's no longer required to statically link with them. The
solution is to change nss_compat_ossl and remove the link time dependency.
Comment 2 Rob Crittenden 2007-10-18 13:08:08 EDT
Added patch to fix in devel and fixed upstream as well.

Just removed -lsoftokn3.so from src/Makefile.in and src/Makefile.am

Note You need to log in before you can comment on or make changes to this bug.